#include <iostream>
using namespace std;
bool podsekvenca(string T,string S){
    if(T==S)
        return true;
    int br=0;
    for(int i=0;i<T.size();i++){
        if(S[br]==T[i])
            br++;
        if(br==S.size())
            return true;
    }
    return false;
}
int main(){
    ios_base::sync_with_stdio(false);
	string T,S;
	cin>>T>>S;
	int minSlova=INT_MAX;
	string res;
    for(int i=0;i<S.size();i++){
        string _T=T;
        while(podsekvenca(T,S)){
            int br=0;
            for(int j=0;j<T.size();j++)
                if(T[j]==S[i]){
                    br++;
                    T[j]='*';
                }
            if(br<minSlova){
                minSlova=br;
                res=T;
            }
        }
        T=_T;
    }
    cout<<minSlova<<endl<<res<<endl;
	return 0;
}